
TYPO3.Flow - Feature # 45100

Status: Under Review Priority: Should have
Author: Christopher Hlubek Category:
Created: 2013-02-03 Assigned To: Christopher Hlubek
Updated: 2013-02-08 Due date:
PHP Version:
Has patch:
Complexity:
Subject: RequestDispatchingAspect should check if entry point can handle current request
Description

For AJAX, REST and other requests the default behavior of intercepting the request and choosing e.g. the WebRedirect entry point is
not desirable.

There should be a "canHandleRequest" method in the entry point to check if the current request can be handled. For example an
AJAX request with X-Requested-With:XMLHttpRequest should not get a redirect but a proper status code and header that links to a
login service.

Related issues:
related to Base Distribution - Story # 45099: As a user I want the Ui to hand... New
related to TYPO3.Flow - Feature # 45282: Support for "sessionless authenticat... Resolved 2013-02-08 2013-04-13

History
#1 - 2013-02-03 12:00 - Christopher Hlubek
- Tracker changed from Bug to Feature

#2 - 2013-02-03 12:02 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17967

#3 - 2013-02-08 15:32 - Bastian Waidelich
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
